package com.hdkj.lt.si.service.estimation;

import com.hdkj.lt.core.bizms.modle.dto.StateEstimation;
import com.hdkj.lt.core.bizms.modle.po.FhzgFeederAutoSwitchMapping;
import com.hdkj.lt.core.bizms.modle.request.StateEstimationEquipRequest;
import com.hdkj.lt.core.bizms.modle.request.StateEstimationRequest;

import java.util.List;

public interface StateEstimationService {
    StateEstimation queryByFeeder(StateEstimationRequest request);

    StateEstimation queryPeriodByEquip(StateEstimationEquipRequest request);

    StateEstimation queryByFeederSave(StateEstimationRequest request);

    StateEstimation querySave(StateEstimationRequest request, StateEstimation stateEstimation);

    /**
     * 获取所有入参线路下的自动化开关
     *
     * @param request
     * @return
     */
    List<FhzgFeederAutoSwitchMapping> saveAutoSwitch(StateEstimationRequest request);


}
